Skip to main content

List all products

Returns a list of your products. The products are returned sorted by creation date, with the most recently created documents appearing first.

Parameters​

state
enum
The state of products to return. The default is active. One of all, active, trashed.

Returns​

Return a paginated response that contains an array of up to the specified limit of products.

get
/api/products
curl https://{workspace}.documocu.com/api/products \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"category": "cat_7vd1kynnir8fxdg6qgtgvuom",
"created_at": "2024-05-14T11:32:58+00:00",
"currency": "USD",
"deleted_at": null,
"description": "Voluptate reprehenderit et laboriosam cupiditate.",
"id": "prod_0xpd94emeujod9uu4lnob9r3",
"name": "explicabo",
"price": 51,
"sku": "30da345f-fda1-3e39-8525-ca588416e390",
"updated_at": "2024-05-14T11:32:58+00:00"
}
],
"links": {
"first": "https://{workspace}.documocu.com/api/products?page=1",
"last": "https://{workspace}.documocu.com/api/products?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://{workspace}.documocu.com/api/products?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "https://{workspace}.documocu.com/api/products",
"per_page": 20,
"to": 1,
"total": 1
}
}